[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: ia32-libs: Patch to make 'ia32-libs' work again on amd64/sarge

Andreas Jochens <aj@andaco.de> writes:

> On 05-May-05 13:53, Goswin von Brederlow wrote:
>> Andreas Jochens <aj@andaco.de> writes:
>> > retitle 307521 ia32-libs: Broken on amd64 / Compilation with 'gcc-3.4 -m32' does not work
>> > tags 307521 +patch
>> > thanks
>> >
>> > I made some tests and finally found a small patch which makes ia32-libs
>> > work again on amd64/sarge without any change to other packages, i.e.
>> > without changing the 'gcc-3.4' package from sarge. 
>> Or just use the patch from the BTS that is already there.
> Oops, sorry. I overlooked #305122, maybe because it was tagged 
> 'fixed' which was not true. Thanks for correcting the tag.
> However, even with the patch from #305122, 'ia32-libs' cannot be built
> and installed in sarge. This is the case because the patch does not 
> remove the 'Depends' and 'Build-Depends' on 'lsb-release' which FTBFS 
> in sarge for amd64. The working ia32-libs version 0.7 did not
> (Build-)Depend on 'lsb-release'.
> Regards
> Andreas Jochens

lsb-release has been fixed too.

I suggested to remove the dependency on lsb-release or to at least
make it a build-depends only but Mithandir had reservations about
that. He doesn't like generated postinst/rm scripts and moving the
files complety is too much of a change with sarge being frozen.

Also your patch does not take care of replacing an existing lib32 link
with a dir and does not move existing files from /emul to the new
localtion and and and. It breaks horribly on upgrade from various
older versions and breaks lib32gcc1. Moving the dir has too many
sideeffects to be viable now.

Anyway, new source came in this afternoon and should be autobuild by


Reply to: